# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

# This ebuild should reside in your local overlay in the net-dns category. 
# Please see http://en.gentoo-wiki.com/wiki/Overlay#Local_Overlays 
# for more information. 

# Please remember to run ebuild swede-9999.ebuild manifest after copying the file

EAPI=4
inherit eutils git
DESCRIPTION="Swede a utility to generate and test project DANE (TLSA) records."
HOMEPAGE="https://github.com/pieterlexis/swede"
EGIT_REPO_URI="git://github.com/pieterlexis/swede.git"

GIT_ECLASS=""
if [[ ${PV} == *9999* ]]; then
	GIT_ECLASS="git" 
fi
LICENSE="GPL"
SLOT="0"
KEYWORDS="~amd64"
IUSE=""

# Python (>= 2.6)
# python-{unbound, argparse, ipaddr, m2crypto}
DEPEND="|| ( dev-lang/python:2.6 dev-lang/python:2.7 ) 
		net-dns/unbound[python] 
		dev-python/argparse
		dev-python/ipaddr
		dev-python/m2crypto"
RDEPEND="${RDEPEND}"

src_install() {
	dobin swede
	dodoc README

	insinto /etc/swede
	newins root.key root.key
	newins dlv.isc.org.key dlv.isc.org.key
}
